{
  buildDunePackage,
  ocsipersist-lib,
  ocsipersist-pgsql,
  lwt_log,
  pgocaml,
  ocsigen_server,
  xml-light,
  findlib,
}:

buildDunePackage {
  pname = "ocsipersist-pgsql-config";
  inherit (ocsipersist-lib) version src;
  duneVersion = "3";

  propagatedBuildInputs = [
    findlib
    lwt_log
    pgocaml
    ocsigen_server
    ocsipersist-lib
    ocsipersist-pgsql
    xml-light
  ];

  meta = ocsipersist-lib.meta // {
    description = "Ocsigen Server configuration file extension for ocsipersist-pgsql";
  };
}
