{
  buildDunePackage,
  ocsipersist-lib,
  ocsipersist-sqlite,
  lwt_log,
  ocaml_sqlite3,
  ocsigen_server,
  xml-light,
  findlib,
}:

buildDunePackage {
  pname = "ocsipersist-sqlite-config";
  inherit (ocsipersist-lib) version src;
  duneVersion = "3";

  propagatedBuildInputs = [
    findlib
    lwt_log
    ocaml_sqlite3
    ocsigen_server
    ocsipersist-lib
    ocsipersist-sqlite
    xml-light
  ];

  meta = ocsipersist-lib.meta // {
    description = "Ocsigen Server configuration file extension for ocsipersist-sqlite";
  };
}
