{
  lib,
  buildDunePackage,
  fetchFromGitHub,
}:

buildDunePackage rec {
  pname = "ubase";
  version = "0.20";

  minimalOCamlVersion = "4.14";
  duneVersion = "3";

  src = fetchFromGitHub {
    owner = "sanette";
    repo = "ubase";
    rev = version;
    hash = "sha256-zmYjWEk0r1h87RczCJu2tYlS79F/pAiBt16BplPmA7c=";
  };

  propagatedBuildInputs = [ ];

  doCheck = true;
  checkInputs = [
  ];

  meta = {
    description = "Remove accents from utf8 strings";
    homepage = "https://github.com/sanette/ubase";
    changelog = "https://github.com/sanette/ubase/blob/${src.rev}/CHANGES.md";
    license = lib.licenses.lgpl3;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "ubase";
    platforms = lib.platforms.all;
  };
}
